home7/urls.py
from django.urls import path

from . import views

app_name = 'home7'

urlpatterns = [
    path('', views.page, name='page'),
]

story7/urls.py
from django import urls
from django.contrib import admin
from django.urls import path, include
from story8.views import fungsi_data

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home7.urls')),
    path('story8/', include('story8.urls')),
    path('landing/', include('story9.urls')),
    path('data/',fungsi_data)
]

story8/urls.py
from django.urls import path

from . import views

app_name = 'story8'

urlpatterns = [
    path('', views.ind, name='ind'),
]

story9/urls.py
from django.urls import path

from . import views

app_name = 'story9'

urlpatterns = [
    path('', views.landing, name='landing'),
    path('login/', views.login, name='login'),
    path('signup/', views.regis, name='regis'),
    path('logout/', views.logoutUser, name='logout'),
]

home7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms
from django.forms import fields

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username','email','password1','password2']

home7/views.py
from django.shortcuts import render
# Create your views here.

def page(request):
    return render(request, 'page.html')

story8/views.py
from django.shortcuts import render
from django.shortcuts import render
from django.http import JsonResponse
from django.http import HttpResponse
import json
import requests

# Create your views here.

def ind(request):
    response = {}
    return render(request, 'ind.html',response)

def fungsi_data(request):
    arg  = request.GET['q']
    url_tujuan = 'https://www.googleapis.com/books/v1/volumes?q=' + arg
    req = requests.get(url_tujuan)
    data = json.loads(req.content)
    return JsonResponse(data, safe=False)

story9/views.py
from story9.forms import CreateUserForm
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django.contrib import messages
from .models import *
from django.contrib.auth import authenticate, login as dj_login, logout

# Create your views here.
def login (request):
    if request.user.is_authenticated:
        return redirect ('/landing')
    else:
        if (request.method == 'POST'):
            username = request.POST.get('username')
            password = request.POST.get('password')
            user = authenticate(request, username=username, password=password)

            if user is not None:
                dj_login(request, user)
                return redirect('/landing')
            else:
                messages.error(request, 'Username atau Password anda salah ')
        
        context={}
        return render (request, 'login.html', context)

def landing(request):
    return render (request, 'landing.html')

def regis(request):
    if request.user.is_authenticated:
	    return redirect('/landing')
    else:
        form = CreateUserForm()
        if (request.method == 'POST'):
            form = CreateUserForm(request.POST)
            if form.is_valid():
                form.save()
                messages.success(request, 'Akun sudah dibuat')
                return redirect('/landing/login')
        
        context = {'form': form}
        return render (request,'regis.html', context)

def logoutUser(request):
    logout(request)
    return redirect ('/landing')

home7/templates/page.html
{% load static %}
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style.css'%}">
        <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
        <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
        <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    </head>
    <body>
        <div class="container-accordion">
            <div class="contentBox">
                <div class="label-content d-flex">
                    <p class="header-content">Tentang Saya</p>
                    <button type="button" class="btn btn-sm button-updown down"  onclick="swapDOWN(event,this);" style="margin-right: 10px; float: right;">&nbsp;DOWN&nbsp;</button>
                    <button type="button" class="btn btn-sm button-updown up"  onclick="swapUP(event,this);"  style="margin-right: 10px; float: right;">&nbsp;UP&nbsp;</button>
                </div>
                <div class="content">
                    <p>
                        Nama saya adalah Reno Fathoni, umur saya 17 tahun dan kini saya adalah mahaasiswa di Fakultas Ilmu Komputer Universitas Indonesia
                    </p>
                </div>
            </div>

            <div class="contentBox">
                <div class="label-content d-flex">
                    <p class="header-content">Aktivitas Saya</p>
                    <button type="button" class="btn btn-sm button-updown down"  onclick="swapDOWN(event,this);" style="margin-right: 10px; float: right;">&nbsp;DOWN&nbsp;</button>
                    <button type="button" class="btn btn-sm button-updown up"  onclick="swapUP(event,this);"  style="margin-right: 10px; float: right;">&nbsp;UP&nbsp;</button>
                </div>
                <div class="content">
                    <p>
                      Aktivitas saya sekarang selama PJJ ini adalah mengerjakan tugas yang banyak pada semester 3 ini dan juga sesekali berolahraga
                    </p>
                </div>
            </div>

            <div class="contentBox">
                <div class="label-content d-flex">
                    <p class="header-content">Pengalaman Saya</p>
                    <button type="button" class="btn btn-sm button-updown down"  onclick="swapDOWN(event,this);" style="margin-right: 10px; float: right;">&nbsp;DOWN&nbsp;</button>
                    <button type="button" class="btn btn-sm button-updown up"  onclick="swapUP(event,this);"  style="margin-right: 10px; float: right;">&nbsp;UP&nbsp;</button>
                </div>
                <div class="content">
                    <p>
                        <li>Staff BEM FASILKOM UI 2020</li>
                        <li>Staff of Playground COMPFEST12</li>
                        <li>Staff of Futsal Runner PERAK</li>
                    </p>
                </div>
            </div>

            <div class="contentBox">
                <div class="label-content d-flex">
                    <p class="header-content">Prestasi</p>
                    <button type="button" class="btn btn-sm button-updown down" onclick="swapDOWN(event,this);" style="margin-right: 10px; float: right;">&nbsp;DOWN&nbsp;</button>
                    <button type="button" class="btn btn-sm button-updown up" onclick="swapUP(event,this);"  style="margin-right: 10px; float: right;">&nbsp;UP&nbsp;</button>
                </div>
                <div class="content">
                    <p>
                        Tidak ada :(
                    </p>
                </div>
            </div>
            
        </div>
    </body>
    <script src="{% static '/js/effect.js'%}"></script>
</html> 

story8/templates/ind.html
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
        <style>
            .pencarian{
                text-align: center;
                font-family: 'Roboto', sans-serif;
            }

            .greeting{
                font-size: 50px;
            }

            #keyword{
                box-sizing: border-box;
                border-radius: 10px;
                margin-bottom: 30px;
            }

            input {
                text-align: center;
            }         
        </style>

    </head>
    <body style="background-color: #F7567C;">
        <div class="container-fluid">
            <div class="pencarian">
                <div class="greeting">
                    Hello Friend, cari BUKUMU!
                </div>
                <input id="keyword" placeholder="Buku Apa ya ?">

                <table class="table table-striped table-bordered margin2" >
                    <thead class="thead-dark">
                    <tr>
                        <th width=25% class="title text-center">Judul Buku</th>
                        <th width=35% class="desc text-center">Deskripsi Buku</th>
                        <th width=17% class="link text-center">Penulis</th>
                        <th width=25% class="img text-center">Sampul Buku</th>
                    </tr>
                    </thead>
            
                    <tbody id="tabel-buku">
                    </tbody>

                </table>
            </div>
        </div>
    </body>
    <script type="text/javascript">
        $(document).ready(function(){
            var url_dipanggil = '/data?q=reno';
            $.ajax({
                url : url_dipanggil,
                success: function(hasil) {
                        // console.log(hasil.items);
                    var obj_hasil = $("#tabel-buku");
                    obj_hasil.empty();
                    for(i=0 ;i<hasil.items.length; i++){
                        var judulBuku = hasil.items[i].volumeInfo.title;
                        var fotoBuku = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;
                        var bukudesc = hasil.items[i].volumeInfo.description;
                        var penulis = hasil.items[i].volumeInfo.authors;
                        console.log(judulBuku)
                        obj_hasil.append('<tr>')
                        obj_hasil.append('<th width=25% class="title text-center">'+ judulBuku +'</th>')
                        obj_hasil.append('<th width=35% class="desc text-center">'+ bukudesc +'</th>')
                        obj_hasil.append('<th width=17% class="link text-center">'+ penulis +'</th>')
                        obj_hasil.append('<th width=25% class="img text-center">'+ '<img src='+ fotoBuku +'>' +'</th>')
                        obj_hasil.append('</tr>')
                    }
                }

            })
            $("#keyword").keyup(function(){
                var url_dipanggil = '/data?q=reno';
                var si_keyword = $("#keyword").val();
                console.log(si_keyword);
                if(si_keyword!=""){
                    var url_dipanggil = '/data?q=' + si_keyword;
                }
            // console.log(url_dipanggil);
                $.ajax({
                    url : url_dipanggil,
                    success: function(hasil) {
                        // console.log(hasil.items);
                        var obj_hasil = $("#tabel-buku");
                        obj_hasil.empty();
                        for(i=0 ;i<hasil.items.length; i++){
                            var judulBuku = hasil.items[i].volumeInfo.title;
                            var fotoBuku = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;
                            var bukudesc = hasil.items[i].volumeInfo.description;
                            var penulis = hasil.items[i].volumeInfo.authors;
                            console.log(judulBuku)
                            obj_hasil.append('<tr>')
                            obj_hasil.append('<th width=25% class="title text-center">'+ judulBuku +'</th>')
                            obj_hasil.append('<th width=35% class="desc text-center">'+ bukudesc +'</th>')
                            obj_hasil.append('<th width=17% class="link text-center">'+ penulis +'</th>')
                            obj_hasil.append('<th width=25% class="img text-center">'+ '<img src='+ fotoBuku +'>' +'</th>')
                            obj_hasil.append('</tr>')
                        }
                    }
                })
            });
        })
    </script>
</html>

story9/templates/base.html
<!doctype html>
<html lang="en">
    {% load static %}
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    {% block tambahfont %}

    {% endblock tambahfont %}

    <style>
      .nav-item{
        padding-right: 30px;
        font-weight: bolder;
      }

      .nav-link{
        color: white;
      }
    </style>
    {% block tambahStyle %}

    {% endblock tambahStyle %}
  </head>
  <header>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
          <a class="navbar-brand" href="{% url 'story9:landing' %}">ONEROTAF</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <div class="navbar-nav ml-auto">
              {% if not user.is_authenticated %}
                <a class="nav-link" href="{% url 'story9:regis' %}">Sign Up</a>
                <a class="nav-link" href="{% url 'story9:login' %}">Login</a>
              {% else %}
              <a class="nav-link" href="{% url 'story9:logout' %}">LogOut</a>
              {% endif %}
            </div>
          </div>
        </div>
      </nav>
  </header>
  {%block content%}
  {%endblock%}
    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
</html>

story9/templates/landing.html
{% extends 'base.html' %}
{%load static%}

{% block tambahfont %}

{% endblock tambahfont %}
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Notable&display=swap" rel="stylesheet">
{% block tambahStyle %}
<style>
    .text{
        text-align: center;
        font-family: 'Notable', sans-serif;
    }
</style>
{% endblock tambahStyle %}

{% block content %}
<body>
    {% if user.is_authenticated %}
        <div class="text mt-4">
            <h1>Halo {{user.username}}</h1>
        </div>

        <div class="cerita">

        </div>
    {% else %}
        <div class="text">
            <h1>Selamat Datang di Story9, Login dulu yuk</h1>
        </div>

        <div class="cerita">

        </div>
    {% endif %}
</body> 

{% endblock content %}

story9/templates/login.html
{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<style>
    .input{
        width: 500px;
        height: 500px;
        margin-left: auto;
        margin-right: auto;
        box-sizing: border-box;
        margin-top: 50px;

    }
</style>
{% endblock tambahStyle %}

{% block content %}
<body class="container-fluid">
    <form method="POST" action="">
        {% csrf_token %}
        <div class="input">
            <h2>LOGIN</h2>
            <div class = "username-input">
                <input type="text" name="username" placeholder="Username..." class="form-control">
            </div>

            <div class="password-input mt-2">
                <input type="password" name="password" placeholder="Password..." class="form-control" >
            </div>

            <div class="mt-2">
                <button type="submit" class="btn btn-success">Login</button>
            </div>

            <div class="mt-4">
					<div class="d-flex justify-content-center links">
						Don't have an account? <a href="{% url 'story9:regis' %}" class="ml-2">Sign Up</a>
					</div>
			
			</div>
     </form>
</body>

{% endblock content %}

story9/templates/regis.html
{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<style>
    .input-regis{
        width: 500px;
        height: 500px;
        margin-left: auto;
        margin-right: auto;
        margin-top:50px ;
    }
</style>
{% endblock tambahStyle %}

{% block content %}
<body class="container-fluid">
        <form method="POST" action="">
            {% csrf_token %}
            <div class="input-regis justify-content-center">
                <h2>Sign Up</h2>
                <div class = "username-from">
                    <label>Username</label>
                    <br>
                    {{form.username}}
                </div>
    
                <div class="email-form mt-2">
                    <label>Email</label>
                    <br>
                    {{form.email}}
                </div>

                <div class="pass1-form mt-2">
                    <label>Password</label>
                    <br>
                    {{form.password1}}
                </div>

                <div class="pass2-form mt-2">
                    <label>Confirmation Password</label>
                    <br>
                    {{form.password2}}
                </div>
    
                <div class="mt-2">
                    <button type="submit" class="btn btn-success">Register Account</button>
                </div>
    
                <div class="mt-4">
                        <div class="d-flex justify-content-center links">
                           Already have an account ? <a href="{% url 'story9:login' %}" class="ml-2">Login</a>
                        </div>
                </div>
            </div>
         </form>
</body>
{% endblock content %}